Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Interface GeoRegion

All Superinterfaces:
  GeoExtent, GeoPath

All Known Implementing Classes:
  GeoRegion.Impl

public interface GeoRegion
extends GeoPath

An arbitrary space described in terms of Geo objects. GeoRegions are assumed to be closed paths representing areas.

Nested Class Summary
`static class` | `GeoRegion.Impl`

Nested classes inherited from class com.bbn.openmap.geo.GeoPath
`GeoPath.PointIterator, GeoPath.SegmentIterator`

Method Summary
`boolean` | `isPointInside(Geo point)` Is the Geo inside the region?

Methods inherited from interface com.bbn.openmap.geo.GeoPath
`getPoints, isSegmentNear, length, pointIterator, segmentIterator`

Methods inherited from interface com.bbn.openmap.geo.GeoExtent
`getBoundingCircle, getID`

Method Detail

### isPointInside

    public boolean isPointInside(Geo point)

  Is the Geo inside the region?

  Parameters:
    `point` -
  Returns:
    true if point is inside region.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details